Skip to navigation

Get WarehouseCredential by ID

Beta
Get a single WarehouseCredential by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

warehouse_credential_idstringRequired
ID of the WarehouseCredential.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
expiresAtstring or nullOptional

The time after which new connections using the username/password will not be permitted. Upon expiration, currently open connections are not terminated.

idstringOptional
labelstring or nullOptional
An optional label defined by the user who created the WarehouseCredential.
modifiedAtstring or nullOptional
revokedbooleanOptional
Indicates whether or not the WarehouseCredential has been revoked. When a WarehouseCredential is revoked, the credentials are deleted in the warehouse and can not be reactivated.
userobjectOptional
The Benchling user whose permissions are used when creating the WarehouseCredential
usernamestringOptional
The username to connect to the warehouse.

Errors

400
Warehouse Credential Get Request Bad Request Error
403
Warehouse Credential Get Request Forbidden Error
404
Warehouse Credential Get Request Not Found Error
429
Warehouse Credential Get Request Too Many Requests Error
500
Warehouse Credential Get Request Internal Server Error